A python library of common ironic utilities.
You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.

test-requirements.txt 609B

123456789101112131415161718
  1. # The order of packages is significant, because pip processes them in the order
  2. # of appearance. Changing the order has an impact on the overall integration
  3. # process, which may cause wedges in the gate later.
  4. coverage!=4.4,>=4.0 # Apache-2.0
  5. eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT
  6. flake8-import-order>=0.13 # LGPLv3
  7. hacking>=1.0.0,<1.1.0 # Apache-2.0
  8. mock>=2.0.0 # BSD
  9. stestr>=1.0.0 # Apache-2.0
  10. oslotest>=3.2.0 # Apache-2.0
  11. testscenarios>=0.4 # Apache-2.0/BSD
  12. testtools>=2.2.0 # MIT
  13. # Doc requirements
  14. doc8>=0.6.0 # Apache-2.0
  15. sphinx!=1.6.6,!=1.6.7,>=1.6.2 # BSD
  16. openstackdocstheme>=1.18.1 # Apache-2.0